OCF_HEARTBEAT_CLUSTE(7)

NAME
ocf_heartbeat_ClusterMon - Runs crm_mon in the background, recording the cluster status to an HTML file

SYNOPSIS

ClusterMon [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

This is a ClusterMon Resource Agent. It outputs current cluster status to the html.

SUPPORTED PARAMETERS

user
    The user we want to run crm_mon as

    (optional, string, default "root")

update
    How frequently should we update the cluster status

    (optional, integer, default 15000)

extra_options
    Additional options to pass to crm_mon. Eg. -n -r

    (optional, string, no default)

pidfile
    PID file location to ensure only one instance is running

    (unique, optional, string, default "/tmp/ClusterMon_RESOURCE_ID.pid")

htmlfile
    Location to write HTML output to.

    (unique, optional, string, default "/tmp/ClusterMon_RESOURCE_ID.html")

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 20s.

stop
    Stops the resource. Suggested minimum timeout: 20s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 20s. Suggested interval: 10s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 30s.

EXAMPLE CRM SHELL

The following is an example configuration for a ClusterMon resource using the crm(8) shell:

    primitive p_ClusterMon ocf:heartbeat:ClusterMon \
      op monitor depth="0" timeout="20s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a ClusterMon resource using pcs(8)

    pcs resource create p_ClusterMon ocf:heartbeat:ClusterMon \
      op monitor depth="0" timeout="20s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)